#include<bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    int n, m;
    cin >> n >> m;
    int zemljiste[n][m];
    pair<int, int> ogranicenja_n[n];
    pair<int, int> ogranicenja_m[m];

    for(int i = 0; i < n; i++){
        int a, b;
        cin >> a >> b;
        ogranicenja_n[i] = make_pair(a, b);
    }
    for(int i = 0; i < m; i++){
    	int c, d;
    	cin >> c >> d;
    	ogranicenja_m[i] = make_pair(c, d);
    	int brojac = 0;
    	int krompiri = 0;
        for(int j = 0; j < n; j++){
            if(d < ogranicenja_n[j].first){
                zemljiste[j][i] = 0;
            }
            else{
                zemljiste[j][i] = min(d, ogranicenja_n[j].second);
                brojac++;
                krompiri += zemljiste[i][j];
                
            }
        }
    }
    cout << krompiri << '\n' << brojac << '\n'; 
    for(int i = 0; i < n; i++){
    	for(int j = 0; j < m; j++){
    		if(zemljiste[i][j] != 0){
    			cout << i << ' ' << j < '\n';
    		}
    	}
    }
}